Documentation Index
Fetch the complete documentation index at: https://gusto-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
1. Get supported benefits
Gusto currently supports 32 different types of external benefits. To get a list of all supported benefits, use theGET v1/benefits endpoint. The endpoint will return an array of Company Benefit objects, each object returned exists in the following form:
The benefit object in Gusto contains high level information about a particular benefit type and its tax considerations. When companies choose to offer a benefit, they are creating a Company Benefit object associated with a particular benefit.
2. Create a company benefit
Using theid of the benefit you want to add from Step 1, you can now create the company benefit. The POST /companies/{company_uuid}/company_benefits endpoint also requires a description which is a more specific description than the given one of the benefit. An example may be “Kaiser Permanente” or “Blue Cross/ Blue Shield”.
3. (Optional) Confirm benefit creation
You can always see what benefits a specific company has by using theGET /companies/{company_uuid}/company_benefits endpoint.
4. (Optional) Add contribution exclusions
You can add contribution exclusions for 401(k) and Roth 401(k) company benefits. To do this:-
Call the
GET /company_benefits/{company_benefit_id}/contribution_exclusionsendpoint, which returns an array of contributions for the given company benefit. For example the response might look like: - Determine the contribution types you want to exclude or include from company contributions.
-
Call the
PUT company_benefits/{company_benefit_id}/contribution_exclusionsendpoint, which takes as body params the array of contribution types in the same structure as when you listed the company benefit’s contribution exclusions. Set"excluded": truefor contribution types you want to exclude and"excluded": falsefor contribution types you want included. For example, your request might look like this:
5. Add benefits to employee
Once you have created the benefit at the company level, you can now give that benefit to an employee. To give an employee a company benefit, create the benefit at the employee level using thePOST employees/{employee_uuid}/employee_benefits endpoint.
When creating the benefit you will specify both the company contribution AND/OR the employee deduction amount. There are also several additional constraints and details that can be passed depending on the benefit.
Consider company contribution exclusions
Percentage-based company contributions are calculated as the[contribution percentage] * (the sum of all non-excluded contribution types).
Example
Let’s say that you enroll an employee in a 401(k) benefit with a company contribution percentage of 10%. This employee earns pay of these types: regular, bonus, overtime, an imputed benefit, and time off pay, and there are company contribution exclusions for bonus and time off pay. The company contributions would be 10% * (regular + overtime + imputed benefit).Fixed amount contributions with exclusions
Fixed amount company contributions are calculated as the[contribution amount] - (the sum of the excluded contribution types).
If you create an employee benefit with a fixed company contribution amount, it’s possible that the fixed amount will not be met depending on the contribution exclusions on that company benefit.
Manage company bank accounts Company forms